HierarchyControllerMemberQuery Method

POST /Hierarchy/MemberQuery/{id} Queries the specified hierarchy for the members.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("MemberQuery")]
public Task<HttpResponseMessage> MemberQuery(
	Guid id,
	[FromBodyAttribute] QueryHierarchyMembersOptions options,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the hierarchy.
options
Type: Dundas.BI.WebApi.ModelsQueryHierarchyMembersOptions
The options to get the members.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: TaskHttpResponseMessage
An array of HierarchyMemberData objects containing the members, or a status code indicating the problem.
See Also